<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorporationInfo](./bitburner.corporationinfo.md) &gt; [prevState](./bitburner.corporationinfo.prevstate.md)

## CorporationInfo.prevState property

The last state that got processed.

I.e. when that state is PURCHASE, it means purchasing just happened.

Possible states are START, PURCHASE, PRODUCTION, EXPORT, SALE.

**Signature:**

```typescript
prevState: CorpStateName;
```
